Name: iptraf
Version: 2.7.0
Release: alt2
%define fullname %name-%version

License: GPL
Url: http://iptraf.seul.org/
Summary: IPTraf - console-based network statistics utility for Linux
Summary(ru_RU.CP1251): IPTraf -         Linux.
Group: Monitoring

Source: %fullname.tar.bz2
Patch1: %name-makefile.patch

Provides: %name

# Automatically added by buildreq on Mon Jan 27 2003
BuildRequires: docbook-dtds docbook-style-dsssl docbook-utils libncurses-devel 
BuildRequires: libtinfo-devel openjade sgml-common sgmltools-lite

%description
IPTraf is a console-based network statistics utility for Linux.
It gathers a variety of figures such as TCP connection packet and byte counts,
interface statistics and activity indicators, TCP/UDP traffic breakdowns,
and LAN station packet and byte counts.

%description -l ru_RU.CP1251
IPTraf          Linux.
    ,    TCP-,
 ,      ,
 TCP/UDP-,      LAN.

%package -n %name-doc
Summary: Manual pages for IPTraf
Summary(ru_RU.CP1251):    IPTraf.
Group: Monitoring

%description -n %name-doc
Manual pages for IPTraf - console-based network statistics utility for Linux.

%description -n %name-doc -l ru_RU.CP1251
   IPTraf -    
    Linux.

%prep
%setup -n %fullname
%patch1 -p1

%build
%make_build -C src
%make -C Documentation

%install
%__mkdir_p $RPM_BUILD_ROOT%_bindir
%__mkdir_p $RPM_BUILD_ROOT%_docdir/%fullname/manual/stylesheet-images
%__mkdir_p $RPM_BUILD_ROOT%_man8dir
%__mkdir_p $RPM_BUILD_ROOT%_localstatedir/%name
%__mkdir_p $RPM_BUILD_ROOT%_logdir/%name
%__mkdir_p $RPM_BUILD_ROOT/var/run/%name

%__install -p src/{%name,rvnamed} $RPM_BUILD_ROOT%_bindir
%__install -p -m644 Documentation/*.8 $RPM_BUILD_ROOT%_man8dir
%__install -p -m644 CHANGES FAQ INSTALL LICENSE README RELEASE-NOTES $RPM_BUILD_ROOT%_docdir/%fullname
%__install -p -m644 Documentation/{*.png,%name.xpm} $RPM_BUILD_ROOT%_docdir/%fullname/manual
%__install -p -m644 Documentation/manual/*.html $RPM_BUILD_ROOT%_docdir/%fullname/manual
%__install -p -m644 Documentation/manual/stylesheet-images/*.gif $RPM_BUILD_ROOT%_docdir/%fullname/manual/stylesheet-images

%files
%attr(750,root,root) %dir %_localstatedir/%name
%attr(750,root,root) %dir %_logdir/%name
%attr(750,root,root) %dir /var/run/%name
%dir %_docdir/%fullname/
%_bindir/*
%_man8dir/*
%_docdir/%fullname/*A*
%_docdir/%fullname/L*

%files -n %name-doc
%dir %_docdir/%fullname/manual/
%_docdir/%fullname/manual/*

%changelog
* Mon Jan 27 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 2.7.0-alt2
- Changed package name from %name-manuals to %name-doc
- Updated BuildRequires

* Tue Sep 17 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.7.0-alt1
- Initial release.
